KIG(1)

NAME
kig - an interactive geometry program for KDE

SYNOPSIS
kig [ generic-options ] [ URL ]
kig -c, --convert-to-native [ -o, --outfile native-file ] file

DESCRIPTION
Kig is an application for interactive geometry. It is intended to serve two purposes:

    - to allow students to interactively explore mathematical figures and concepts using the computer;

    - to serve as a WYSIWYG tool for drawing mathematical figures and including them in other documents.

With this program you can do geometry on a computer just like you would on a blackboard in a classroom. However, the program allows you to move and change parts of a geometrical drawing so that you can see how the other parts change as a result.

Kig supports loci and user-defined macros. It also supports imports and exports to/from foreign file formats including Cabri, Dr. Geo, KGeo, KSeg and XFig.

This application is part of the official KDE edutainment module.

OPTIONS
Below are the kig-specific options. For a full summary of options, run kig --help.

-c, --convert-to-native
    Do not show a GUI. Instead, convert the specified file to the native Kig format. The native Kig file will be written to standard output unless --outfile is passed (see below).

-o, --outfile native-file
    Used with --convert-to-native to specify where to save the newly created Kig file. Note that a filename of '-' means standard output (which is also the default).

SEE ALSO
Full user documentation is available through the KDE Help Centre. You can also enter the URL help:/kig/ directly into konqueror or you can run `khelpcenter help:/kig/' from the command-line.

If the KDE Help Centre is not installed then you can install the package kdeedu-doc-html and read this documentation in HTML format from /usr/share/doc/kde/HTML/en/kig/.

AUTHOR
Kig was written by Dominique Devriese <devriese@kde.org>, Maurizio Paolini <paolini@dmf.bs.unicatt.it>, Franco Pasquarelli <pasqui@dmf.bs.unicatt.it>, Pino Toscano <toscano.pino@tiscali.it> and others.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).